//CGfxProp - [2020-04-13 11:57:46]
#ifndef _CGFXPROP_H_
#define _CGFXPROP_H_

#include "CGfxCharacter.h"
#include "CFTTMatrix32.h"
/*

0018A3C8 CGfxProp::CGfxProp()
0018A3F8 CGfxProp::~CGfxProp()
0018A41C CGfxProp::~CGfxProp()
0018A42C CGfxProp::Render(bool)
0018A44C CGfxProp::RenderSkinnedModel(CGfxCharacter *)
*/
class CFTTModel;
class CGfxCharacter;
class CGfxProp {  
public:
  CGfxProp();                                //0018A3C8
  virtual ~CGfxProp();                               //0018A3F8 0018A41C
  virtual void Render(bool);                         //0018A42C
  void RenderSkinnedModel(CGfxCharacter *);  //0018A44C

  CFTTModel *pCFTTModel_4;
  CGfxCharacter *pCGfxCharacter_8;
  CFTTMatrix32 m_CFTTMatrix32_C;
};

#endif  //_CGFXPROP_H_